# medz/plugs/symptoms.py
#
#

""" symptomen. """

## IMPORTS

from medz.clock import Repeater
from medz.kernel import kernel

import random

## CMNDS

def symptom(*args, **kwargs): kernel.announce(random.choice([ x for x in symptoms_txt.split("\n") if x]))

kernel.register("symptom", symptom)

def symptoms(event): event.reply(symptoms_txt)

kernel.register("symptoms", symptoms)

## TXT

symptoms_txt = """

Positive symptoms

delusions
hallucinations
confused thinking
excitement

Negative symptoms

lac of emotions
less social contact
no initiative
no concentration
no motivation
no energy

Affective symptoms

depressive symptoms (fear)
manical symptomen (pressure, full of energy, insomnia)

Fysical problems

weight gain
drool
dry mouth
thirst
easily tired, no energy
puking
toileting
headache
weight loss
blured vision
sexual problems
menstruation problems
congestion
dizzyness

Mental problems

drowsiness
trouble sleeping
memory troubles
trouble thinking/concentration
psychotic phenomena get worse
listlessness
depressed
fear

Muscle problems

restless
stiffness
trembling
slowness

"""

## SYMPTOOM

class Symptom(Repeater): pass

## init    

def init(*args, **kwargs):
    todo = Symptom(symptom, 600)
    kernel.put(todo.start)   
