# medz/dutch/wet.py
#
#

""" Voor de hemelen. """

## IMPORTS

from medz.clock import Repeater
from medz.kernel import kernel

import random

## CMNDS

def wet(*args, **kwargs): kernel.announce(random.choice(wet_txt.split("\n")))

kernel.register("wet", wet)

def wetten(event): event.reply(wet_txt)

kernel.register("wetten", wetten)

## TXT


## WET

class Wet(Repeater): pass

def init():
    todo = Wet(wet, 3700)
    kernel.put(todo.start)


wet_txt = """
een zorgmachtiging;
een crisismaatregel;
een beslissing tot tijdelijke verplichte zorg voorafgaand aan een crisismaatregel als bedoeld in artikel 7:4;
een beslissing tot tijdelijke verplichte zorg in een noodsituatie als bedoeld in de artikelen 8:11 en 8:12.
een interventie, bestaande uit een vorm van verzorging, bejegening, behandeling, begeleiding of bescherming;
toediening van medicatie, vocht en voeding, regelmatige medische controle of andere medische handelingen;
pedagogische of therapeutische maatregelen;
opname in een accommodatie;
beperking van de bewegingsvrijheid;
afzondering of separatie in een daartoe geschikte verblijfsruimte;
beperking van het recht op het ontvangen van bezoek of het gebruik van communicatiemiddelen;
toezicht op betrokkene;
onderzoek aan kleding of lichaam;
controle op de aanwezigheid van gedrag beïnvloedende middelen;
beperkingen in de vrijheid het eigen leven in te richten, die tot gevolg hebben dat betrokkene iets moet doen of nalaten.
er geen mogelijkheden voor zorg op basis van vrijwilligheid zijn;
er voor betrokkene geen minder bezwarende alternatieven met het beoogde effect zijn;
het verlenen van verplichte zorg, gelet op het beoogde doel van verplichte zorg evenredig is; en
redelijkerwijs te verwachten is dat het verlenen van verplichte zorg effectief is.
een crisissituatie af te wenden;
een aanzienlijk risico op ernstige schade af te wenden;
een zorgplan op te stellen;
de geestelijke gezondheid van betrokkene te stabiliseren;
de geestelijke gezondheid van betrokkene dusdanig te herstellen dat hij zijn autonomie zo veel mogelijk herwint.
aan de criteria voor verplichte zorg is voldaan, en
met de in het zorgplan opgenomen verplichte zorg of indien een zorgplan ontbreekt, met de in de medische verklaring opgenomen verplichte zorg het aanzienlijke risico op ernstige schade kan worden weggenomen.
de zorg die noodzakelijk is om het aanzienlijke risico op ernstige schade weg te nemen;
de wijze waarop rekening wordt gehouden met de voorkeuren van betrokkene, zoals
vastgelegd op de zorgkaart of in de zelfbindingsverklaring;
de minimale en maximale duur van de afzonderlijke vormen van verplichte zorg; de wijze waarop de zorgaanbieder en de 
geneesheer-directeur de kwaliteit van de verplichte zorg bewaken en toezicht houden op de uitvoering van 
verplichte zorg in ambulante omstandigheden;
de frequentie waarmee en de omstandigheden waaronder het zorgplan en de
subsidiariteit, proportionaliteit, effectiviteit en veiligheid van de verplichte zorg met
betrokkene en de vertegenwoordiger zal worden geëvalueerd en het zorgplan geactualiseerd;
de zorgaanbieder die wordt belast met de uitvoering van de zorgmachtiging en zo nodig de accommodatie;
de inventarisatie van de essentiële voorwaarden voor maatschappelijke deelname;
de mogelijkheid tot het verlenen van advies en bijstand door een patiëntenvertrouwenspersoon.
betrokkene;
de vertegenwoordiger;
de advocaat;
de contactpersoon;
de ouders die het gezag uitoefenen, de voogd, de curator of de mentor;
de echtgenoot, partner, levensgezel of degene die betrokkene verzorgt;
de aanvrager, bedoeld in artikel 5:1;
de zorgaanbieder, de geneesheer-directeur, de zorgverantwoordelijke en de huisarts;
de officier van justitie.
"""